
Foreman - Bug #26612

Renderer test suite do not like snippet-in-snippet

04/15/2019 12:28 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6687

  

Description

When we include a snippet from a snippet, renderer test blows up:

Foreman::Exception: ERF42-7327 [Foreman::Exception]: The snippet 'pxegrub2_chainload' threw an err

or: The specified snippet 'pxegrub2_discovery' does not exist, or is not a snippet.

    lib/foreman/renderer/scope/macros/snippet_rendering.rb:18:in `snippet'

    lib/foreman/renderer/scope/macros/base.rb:56:in `indent'

    lib/foreman/renderer/unsafe_mode_renderer.rb:7:in `render'

    lib/foreman/renderer/base_renderer.rb:16:in `render'

    lib/foreman/renderer.rb:45:in `render'

    app/models/template.rb:173:in `render'

    lib/foreman/renderer/scope/macros/snippet_rendering.rb:24:in `snippet'

    lib/foreman/renderer/unsafe_mode_renderer.rb:7:in `render'

    lib/foreman/renderer/base_renderer.rb:16:in `render'

    lib/foreman/renderer.rb:45:in `render'

    test/unit/foreman/renderer_test.rb:48:in `render_template'

    test/unit/foreman/renderer_test.rb:40:in `assert_template'

    test/unit/foreman/renderer_test.rb:32:in `block (3 levels) in <class:RendererTest>' (Foreman::

Exception)

/home/jenkins/workspace/test_develop_pr_core/database/postgresql/ruby/2.4/slave/fast/test/unit/for

eman/renderer_test.rb:32    

 Since it is blocking 1.22 branching I am creating this ticket and refactor templates until we can figure this out. The converstaion is at 

https://github.com/theforeman/foreman/pull/6678

Associated revisions

Revision bbc84f6f - 04/26/2019 01:45 PM - Timo Goebel

fixes #26612 - snapshots for nested snippets

History

#1 - 04/16/2019 02:16 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/foreman/pull/6687 added

#2 - 04/26/2019 02:02 PM - Timo Goebel

- Status changed from Ready For Testing to Closed

Applied in changeset bbc84f6fb0e45d829dc2a7895479e990df4d54b5.
